{% getparam 'blocked' as blocked_param %}
{% getparam 'mobile' as mobile_param %}

{% if mobile_param %}
  {% assign mobile = true %}
{% endif %}

<!doctype html>
<html lang="{{ language }}">
  <head>

    <link href="https://fonts.googleapis.com" rel="preconnect">
    <link crossorigin href="https://fonts.gstatic.com" rel="preconnect">

        <link rel="preload" href="https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap" as="style" crossorigin="anonymous">
    <link rel="https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap" media="print" onload="this.media='all'" crossorigin="anonymous">


    <meta charset="UTF-8"/>
    <meta content="IE=edge" http-equiv="X-UA-Compatible"/>
    <meta content="initial-scale=1, width=device-width, maximum-scale=1" name="viewport"/>

    <link rel="shortcut icon" href="{{ 'favicon.ico' | favicon_path }}"/>
    <link rel="apple-touch-icon" sizes="180x180" href="{{ 'favicon/apple-touch-icon.png' | image_path }}"/>
    <link rel="icon" type="image/png" sizes="32x32" href="{{ 'favicon/favicon-32x32.png' | image_path }}"/>
    <link rel="icon" type="image/png" sizes="16x16" href="{{ 'favicon/favicon-16x16.png' | image_path }}"/>
    <link rel="manifest" href="{{ 'favicon/manifest.json' | image_path }}"/>

    <meta content="#000" name="msapplication-TileColor"/>
    <meta name="msapplication-TileImage" content="{{ 'favicon/android-chrome-192x192.png' | image_path }}"/>
    <meta content="#000" name="theme-color"/>

    <link href="/main.css" inline rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{ 'style.css' | stylesheet_path }}" media="print" onload="this.media='all'"/>

    {% if mobile %}
      <link rel="stylesheet" href="{{ 'menu_mobile.css' | stylesheet_path }}" media="print" onload="this.media='all'"/>
    {% else %}
      <link href="/menu_desktop.css" inline rel="stylesheet" type="text/css"/>
    {% endif %}

    {{ content_for_head }}

    {% assign component_version = '13' %}
    {% if current_shop.settings contains 'component_version_price' %}
      {% assign settings_version = current_shop.settings.component_version_price %}
      {% if settings_version != blank %}
        {% assign component_version = settings_version %}
      {% endif %}
    {% endif %}

    <script>
      var filterRange = [];
      window.productVariants = {};
      window.priceComponent = "{{ 'price.v[version].js' | replace: '[version]', component_version | component_path }}";
      window.purchaseScript = "{{ 'productPurchase.js' | javascript_path }}";
      window.currentLocal = null;
      window.client = null;
      window.mobile = {{ mobile }};
    </script>
  </head>

  {% assign template_class = 'page-'| append: template | replace: '/','-' | replace: '_','-' %}

  <body class="{{ template_class }}" data-page="{{ template }}">
    <div class="wrapper" id="wrapper">
      {% render 'partials/common/icons', template: template %}
      {% render 'partials/common/header', home_url: home_url, template: template, search_url: search_url, account_url: account_url, current_shop: current_shop, mobile: mobile %}

      <main>
        {{ yield }}
      </main>

      {% render 'partials/common/footer', current_shop: current_shop, home_url: home_url %}
      {% render 'partials/common/popup_newsletter', current_shop: current_shop %}
      {% render 'partials/common/cart_drawer', current_shop: current_shop %}
    </div>

    <script src="{{ 'main.js' | javascript_path }}"></script>

    {% if mobile %}
      <script src="{{ 'menuMobile.js' | javascript_path }}"></script>
    {% endif %}

    {{ content_for_body }}

    {% if blocked_param %}
      <script>document.addEventListener("click", function(e) { e.preventDefault() });</script>
    {% endif %}

  </body>
</html>
